<template>
    <StackLayout class="p-20" backgroundColor="white">
        <StackLayout orientation="vertical" row="1" class="m-10">
            <Label class="title">Ajouter un commentaire</Label>
            <TextView editable="true" v-model="comment" hint="Votre message :">
            </TextView>
            <Button class="btn btn-outline" text="Envoyer" @tap="send()"/>
            <Button class="btn btn-outline" text="Fermer" @tap="close()"/>
        </StackLayout>
    </StackLayout>
</template>

<script>

import {Http} from "@nativescript/core";
import {Couchbase} from 'nativescript-couchbase-plugin';

const database = new Couchbase('atp_base');

export default {
    props: ['idAdvert'],
    data() {
        return {
            comment: "",
            user: {}
        };
    },
    mounted() {
        let db = database.query({select: []})
        this.user = db[0].userStore
    },
    methods: {
        async send() {
            const response = await Http.request({
                url: "https://api.atypikhouse.art/createCommentary",
                method: "POST",
                headers: {
                    "Content-Type": "application/json",
                    "Access-Control-Allow-Origin": "*",
                },
                content: JSON.stringify({
                    com_text: this.comment,
                    com_adv_id: this.idAdvert,
                    com_usr_id: this.user.usr_id,
                    com_usr_firstName: this.user.usr_firstName,
                    com_usr_lastName: this.user.usr_lastName,
                }),
            })
            var result = response.content.toJSON();
            if (result.succes) {
                this.response = result.succes;
            } else {
                this.response = result.Erreur || result.error;
            }
            alert(this.response).then(() => {
                this.$modal.close();
            });
        },
        close() {
            this.$modal.close();
        }
    },
}
</script>

<style scoped>
.title {
    text-align: center;
    font-size: 25px;
    color: #2d2d2d;
    margin-bottom: 50;
    margin-top: 10;
}

</style>
